Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(17)

Issue 2838873002: Creating webrtc/modules:module_api (Closed)

Created:
2 years, 4 months ago by mbonadei
Modified:
2 years, 4 months ago
Reviewers:
kjellander_webrtc
CC:
webrtc-reviews_webrtc.org, tterriberry_mozilla.com
Target Ref:
refs/heads/master
Project:
webrtc
Visibility:
Public.

Description

Creating webrtc/modules:module_api This target keeps track of .h the files under webrtc/modules/include/ that are not part of any target. If a .h file is not part of a target the 'gn check' utility is not able to spot if a target is missing a dependency because even if it parses '#include' directives it is not able to find a target that contains these headers. BUG=webrtc:7513 NOTRY=True Review-Url: https://codereview.webrtc.org/2838873002 Cr-Commit-Position: refs/heads/master@{#17880} Committed: https://chromium.googlesource.com/external/webrtc/+/5a1a092ed09ca92719eeb293275f64c0cdcc0e51

Patch Set 1 #

Patch Set 2 : fixing missing deps #

Patch Set 3 : adding another missing dep #

Total comments: 2

Patch Set 4 : just rebasing #

Patch Set 5 : fixing gn coding standards #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+72 lines, -3 lines) Patch
M webrtc/api/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/audio/utility/BUILD.gn View 1 2 chunks +2 lines, -0 lines 0 comments Download
M webrtc/common_video/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/modules/BUILD.gn View 1 2 3 4 3 chunks +13 lines, -2 lines 1 comment Download
M webrtc/modules/audio_coding/BUILD.gn View 1 12 chunks +14 lines, -1 line 0 comments Download
M webrtc/modules/audio_conference_mixer/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/modules/audio_device/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/modules/audio_mixer/BUILD.gn View 1 3 chunks +3 lines, -0 lines 0 comments Download
M webrtc/modules/audio_processing/BUILD.gn View 1 4 chunks +4 lines, -0 lines 0 comments Download
M webrtc/modules/congestion_controller/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/modules/media_file/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/modules/pacing/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/modules/remote_bitrate_estimator/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/modules/rtp_rtcp/BUILD.gn View 1 4 chunks +4 lines, -0 lines 0 comments Download
M webrtc/modules/utility/BUILD.gn View 1 2 chunks +2 lines, -0 lines 0 comments Download
M webrtc/modules/video_capture/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/modules/video_coding/BUILD.gn View 1 2 3 5 chunks +5 lines, -0 lines 0 comments Download
M webrtc/modules/video_processing/BUILD.gn View 1 2 chunks +4 lines, -0 lines 0 comments Download
M webrtc/sdk/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/tools/BUILD.gn View 1 2 3 2 chunks +2 lines, -0 lines 0 comments Download
M webrtc/video/BUILD.gn View 1 2 3 2 chunks +2 lines, -0 lines 0 comments Download
M webrtc/voice_engine/BUILD.gn View 1 7 chunks +7 lines, -0 lines 0 comments Download

Messages

Total messages: 14 (7 generated)
mbonadei
2 years, 4 months ago (2017-04-25 13:25:53 UTC) #4
kjellander_webrtc
lgtm with nit fixed. I fired the linux_libfuzzer_rel trybot for you (update your alias). https://codereview.webrtc.org/2838873002/diff/40001/webrtc/modules/BUILD.gn ...
2 years, 4 months ago (2017-04-25 20:14:41 UTC) #5
mbonadei
https://codereview.webrtc.org/2838873002/diff/40001/webrtc/modules/BUILD.gn File webrtc/modules/BUILD.gn (right): https://codereview.webrtc.org/2838873002/diff/40001/webrtc/modules/BUILD.gn#newcode216 webrtc/modules/BUILD.gn:216: ":module_api", On 2017/04/25 20:14:40, kjellander_webrtc wrote: > Move this ...
2 years, 4 months ago (2017-04-26 08:11:39 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2838873002/80001
2 years, 4 months ago (2017-04-26 08:51:19 UTC) #9
commit-bot: I haz the power
Committed patchset #5 (id:80001) as https://chromium.googlesource.com/external/webrtc/+/5a1a092ed09ca92719eeb293275f64c0cdcc0e51
2 years, 4 months ago (2017-04-26 08:53:59 UTC) #12
mbonadei
A revert of this CL (patchset #5 id:80001) has been created in https://codereview.webrtc.org/2839963005/ by mbonadei@webrtc.org. ...
2 years, 4 months ago (2017-04-26 09:00:05 UTC) #13
kjellander_webrtc
2 years, 4 months ago (2017-04-26 09:36:32 UTC) #14
Message was sent while issue was closed.
https://codereview.webrtc.org/2838873002/diff/80001/webrtc/modules/BUILD.gn
File webrtc/modules/BUILD.gn (right):

https://codereview.webrtc.org/2838873002/diff/80001/webrtc/modules/BUILD.gn#n...
webrtc/modules/BUILD.gn:225: ":module_api",
Ouch, annoying mistake that reminds us to always run additional tests before
submit even if you made the simplest change.

Powered by Google App Engine
This is Rietveld 408576698